Package ghidra.app.util.bin.format.macho

# Class CpuTypes

java.lang.Object
ghidra.app.util.bin.format.macho.CpuTypes

public final class CpuTypes extends Object

See Also:
  - osfmk/mach/machiine.h

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CPU_ARCH_ABI64`
  64 bit ABI
  `static final int`
  `CPU_ARCH_ABI64_32`
  ABI for 64-bit hardware with 32-bit types; LP32
  `static final int`
  `CPU_ARCH_MASK`
  mask for architecture bits
  `static final int`
  `CPU_TYPE_ANY`
  `static final int`
  `CPU_TYPE_ARM`
  `static final int`
  `CPU_TYPE_ARM_64`
  `static final int`
  `CPU_TYPE_ARM64_32`
  `static final int`
  `CPU_TYPE_HPPA`
  `static final int`
  `CPU_TYPE_I386`
  `static final int`
  `CPU_TYPE_I860`
  `static final int`
  `CPU_TYPE_MC680x0`
  `static final int`
  `CPU_TYPE_MC88000`
  `static final int`
  `CPU_TYPE_MC98000`
  `static final int`
  `CPU_TYPE_POWERPC`
  `static final int`
  `CPU_TYPE_POWERPC64`
  `static final int`
  `CPU_TYPE_SPARC`
  `static final int`
  `CPU_TYPE_VAX`
  `static final int`
  `CPU_TYPE_X86`
  `static final int`
  `CPU_TYPE_X86_64`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CpuTypes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getMagicString(int cpuType, int cpuSubtype)`
  `static final Processor`
  `getProcessor(int cpuType, int cpuSubtype)`
  Returns the processor name of the given CPU type value.
  `static final int`
  `getProcessorBitSize(int cpuType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CPU_ARCH_MASK

    public static final int CPU_ARCH_MASK
    mask for architecture bits
    See Also:
      - Constant Field Values

  - ### CPU_ARCH_ABI64

    public static final int CPU_ARCH_ABI64
    64 bit ABI
    See Also:
      - Constant Field Values

  - ### CPU_ARCH_ABI64_32

    public static final int CPU_ARCH_ABI64_32
    ABI for 64-bit hardware with 32-bit types; LP32
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_ANY

    public static final int CPU_TYPE_ANY
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_VAX

    public static final int CPU_TYPE_VAX
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_MC680x0

    public static final int CPU_TYPE_MC680x0
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_X86

    public static final int CPU_TYPE_X86
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_I386

    public static final int CPU_TYPE_I386
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_MC98000

    public static final int CPU_TYPE_MC98000
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_HPPA

    public static final int CPU_TYPE_HPPA
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_ARM

    public static final int CPU_TYPE_ARM
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_MC88000

    public static final int CPU_TYPE_MC88000
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_SPARC

    public static final int CPU_TYPE_SPARC
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_I860

    public static final int CPU_TYPE_I860
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_POWERPC

    public static final int CPU_TYPE_POWERPC
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_POWERPC64

    public static final int CPU_TYPE_POWERPC64
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_X86_64

    public static final int CPU_TYPE_X86_64
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_ARM_64

    public static final int CPU_TYPE_ARM_64
    See Also:
      - Constant Field Values

  - ### CPU_TYPE_ARM64_32

    public static final int CPU_TYPE_ARM64_32
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CpuTypes

    public CpuTypes()

- ## Method Details

  - ### getProcessor

    public static final Processor getProcessor(int cpuType, int cpuSubtype)
    Returns the processor name of the given CPU type value.
    Parameters:
      `cpuType` - the CPU type value
      `cpuSubtype` - the CPU subtype value
    Returns:
      the processor name of the given CPU type value

  - ### getProcessorBitSize

    public static final int getProcessorBitSize(int cpuType)

  - ### getMagicString

    public static String getMagicString(int cpuType, int cpuSubtype)